###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs-utils
Version: 0.1.12
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
Summary: Utilities for managing the global filesystem (GFS)
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: ncurses
Requires: libvolume_id
Requires: gfs2-utils
Obsoletes: GFS
BuildRequires: glibc-kernheaders
BuildRequires: libvolume_id-devel
BuildRequires: ncurses-devel
URL: http://sources.redhat.com/cluster/
Source0: gfs-%{version}.tar.gz
Patch0: gfs-gfsioctl.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#ExcludeArch: ia64


%description
The gfs-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.

%prep
%setup -q -n gfs-%{version}
%patch0 -p1 -b .gfsioctl

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --libdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 0/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%post
/sbin/chkconfig --add gfs
/sbin/chkconfig gfs off

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs
fi

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/*
%{_initrddir}/gfs

%{_mandir}/*/*

%changelog
* Fri Feb 23 2007 Chris Feist <cfeist@redhat.com> - 0.1.11-2
- Add obsoletes for GFS.
- Resolves: rhbz#229822

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 0.1.11-1
- New upstream sources.
- Resolves: rhbz#222747

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 0.1.10-1
- New upstream sources.
- Resolves: rhbz#219866

* Wed Nov 29 2006 Chris Feist <cfeist@redhat.com> - 0.1.9-2
- New upstream sources.
- Resolves: rhbz#213763

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> - 0.1.7-2
- New upstream sources and added patch to include gfs_ioctl.h.

* Mon Aug 28 2006 Chris Feist <cfeist@redhat.com> - 0.1.5-1
- New upstream sources to fix symlinks for mount & umount

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> - 0.1.4-1
- Create symlink for mount & unmount

* Mon Aug 21 2006 Chris Feist <cfeist@redhat.com> - 0.1.1-1
- New upstream sources

* Mon Aug 14 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-13
- Fixed deps

* Wed Aug 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-7
- Patched build procedure so libgfs gets built
- Added in ncurses-devel BuildRequire

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-5.fc6
- Removed extraneous '.' before dist macro
- Disabled gfs init script

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-4.fc6
- Fixed version
- Using macroized version of /etc/rc.d/init.d

* Mon Aug 07 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-0.fc6.3
- Remove ncurses dep
- Started using RPM_OPT_FLAGS

* Fri Jun 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-0.fc6.0
- Initial build of gfs-utils.
